using System;

internal sealed class Delegate427 : MulticastDelegate
{
	public extern int Invoke(int int_0, int int_1);

	public static int smethod_0(int int_0, int int_1, Delegate427 delegate427_1)
	{
		return delegate427_1(int_0, int_1);
	}

	public extern Delegate427(object object_0, IntPtr intptr_0);

	static Delegate427()
	{
		Class10.smethod_13(typeof(Delegate427).TypeHandle);
	}

	internal static Delegate427 delegate427_0;
}
